package livresip.sipphone.events;

import javax.sip.ServerTransaction;
import javax.sip.message.Request;

/**
 * 	Classe d'vnements quand un nouvel appel est reu
 * 
 *  @see Chapitre 7 du livre Tlphonie SIP : concepts, usages et programmation en Java
 *	@author G. Vanwormhoudt
 */

public class NewCallEvent extends UserAgentEvent {
	
	protected Request invite;
	protected String caller;
	protected ServerTransaction transaction;
	
	
	public NewCallEvent(Request newInvite, String newCaller, ServerTransaction newTransaction) {
		invite = newInvite;
		caller = newCaller;
		transaction = newTransaction;
	}
	
	public Request getInvite() {
		return invite;
	}
	
	public String getCaller() {
		return caller;
	}
	
	public ServerTransaction getTransaction() {
		return transaction;
	}

}
