package livresip.sipphone.media;



/**
 * 	Classe pour grer facilement l'ensemble des sonneries de l'application sipphone 
 * 
 *  @see Chapitre 7 du livre Tlphonie SIP : concepts, usages et programmation en Java
 *	@author G. Vanwormhoudt
 */

public class TonePlayer {

	public final static Tone NEWCALL = new Tone("sound/ringing.wav", true);
	public final static Tone RINGING = new Tone("sound/dialtone.wav", true);
	public final static Tone BUSY = new Tone("sound/busytone.wav", false);
	
	protected final static Tone tones[] = {NEWCALL, BUSY, RINGING};
			
	public void playTone(Tone tone) {
		int i;
		for (i = 0; i<tones.length; i++) {
			if (tones[i] != tone) { 
				tones[i].stop();
			}
		}
		tone.play();
	}
	
	public void stopTones() {
		int i;
		for (i = 0; i<tones.length; i++)
			tones[i].stop();
	}
	
	public void close() {
		int i;
		for (i = 0; i<tones.length; i++) {
			tones[i].stop();
			tones[i].close();
		}
	}
}
