package livresip.sipservlet;
import java.util.HashMap;

import javax.servlet.sip.SipServletResponse;
import javax.servlet.sip.SipSession;
import javax.servlet.sip.SipURI;

import livresip.httpservlet.ListUsersHttpServlet;

/**
 * Classe de Servlet SIP grant la rponse  une requte MESSAGE
 * 
 * @see Chapitre 8 du livre Tlphonie SIP : concepts, usages et programmation
 *      en Java
 * @author G. Vanwormhoudt
 */

public class MessageSipServlet extends javax.servlet.sip.SipServlet {
   

	private static final long serialVersionUID = 1L;
	protected javax.servlet.ServletContext ctx = null;

   @Override
    public void init(javax.servlet.ServletConfig config) throws javax.servlet.ServletException {
        super.init(config);
        ctx = config.getServletContext();
    }
   

   protected void doSuccessResponse(SipServletResponse resp)
                          throws javax.servlet.ServletException,
                                 java.io.IOException {
       SipSession session = resp.getSession();
       SipURI contact = (SipURI) session.getAttribute("contact");
       String msg = (String) session.getAttribute("lastmessage");

       getMessagesMap().put(contact, msg);

       session.invalidate();

   }


   protected HashMap<SipURI, String> getMessagesMap() {
        return (HashMap<SipURI, String>) ctx.getAttribute(ListUsersHttpServlet.LASTMESSAGE_MAP);
    }

    
    
}

